Bug 68490 - mouse pointer shows 2 rows of random pixels noise
mouse pointer shows 2 rows of random pixels noise
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
Depends On:
  Show dependency treegraph
Reported: 2002-07-10 12:47 EDT by Alejandro Vasquez
Modified: 2007-04-18 12:44 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-14 11:31:55 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Alejandro Vasquez 2002-07-10 12:47:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i586; en-US; rv:0.9.9) Gecko/20020408

Description of problem:
I upgrade RH7.2 to 7.3. Now, since the begining of the session, at login screen,
mouse pointer shows two rows at the bottom of the sprite that disapears when the
mouse is redraw by pointing it over some text. Then, in Gnome or KDE, noise
pixels appear again and again specialy when dragging window`s bars, when opening
menus or pushing buttons. Again, pointing it to something that makes the pointer
redraw, i.e. a text, makes noise pixels disappear, just to appear again on the
next fast move or while opening a window menu
With RH 7.2 this never happened

Maybe related: In some circumstances, screensavers can't hide the screen and
start to draw jus over the desk image, like if the saver's background was

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Noise pixels appears from the begining in the login screen. Noise disappears
moving the mouse over a text
2. Dragging a window bar at normal or fast speed cause noise to appear. Dragging
slowly do not generate noise pixels.
3. Opening certain window menus

1. Start a KDE session and select Matrix screensaver
2. Go to a console screen and work there enough time to let screensaver trigger
in the graphic console
3. Go back to graphic console

Actual Results:  Two rows of random pixel noise appears at the bottom of the
pointer sprite

You can see a serious damaged image of the desktop and the screensaver drawing
over it, like if the screensaver background was transparent.

Expected Results:  Pointer sprite should be clean

Bacground should be black and desktop image should be hidden

Additional info:

Graphic card: SIS520
Processor: AMD K6 2
RAM: 128 Mb
Comment 1 Mike A. Harris 2002-07-12 21:13:47 EDT
attach your X server log and config file.
Comment 2 Alejandro Vasquez 2002-07-14 11:31:51 EDT
I've find out the solution!!
There seems to be a missing line in the XF86Config-4 file.

In your XF86Config-4 file, on the Section "InputDevice" (where you define the
mouse settings) add the line:

Option "CorePointer"

It also helps to grab an update for the sis driver from
Comment 3 Mike A. Harris 2002-09-05 15:45:22 EDT
Assuming this works for you now, and closing WORKSFORME based on
your last comment entry.  Also changing component to proper
XFree86 component.

Note You need to log in before you can comment on or make changes to this bug.